:root {
  /* Colors */
  --color-cloud: #f4f4fd;
  --color-cornflower: #e7e9fc;
  --color-iris: #4d5ae5;
  --color-navy-blue: #2e2f42;
  --color-white: #ffffff;
  --color-slate: #434455;
  --color-ocean: #404bbf;
  --color-green: #31d0aa;
  --color-light-slate: #8e8f99;
  --color-modal-overlay: rgba(46, 47, 66, 0.4);
  --color-modal-overlay-dark: rgba(46, 47, 66, 0.7);
  --color-dairy: #fcfcfc;
  --color-burger-icon: #2f2f37;

  /* Box Shadows */
  --shadow-card: 0px 2px 1px 0px rgba(46, 47, 66, 0.08), 0px 1px 1px 0px rgba(46, 47, 66, 0.16),
    0px 1px 6px 0px rgba(46, 47, 66, 0.08);
  --shadow-button: 0px 4px 4px 0px rgba(0, 0, 0, 0.15);
  --shadow-modal: 0px 1px 1px 0px rgba(0, 0, 0, 0.14), 0px 1px 3px 0px rgba(0, 0, 0, 0.12),
    0px 2px 1px 0px rgba(0, 0, 0, 0.2);
}

body {
  margin: 0;
  font-family: 'Roboto', sans-serif;
  background-color: var(--color-white);
}

a {
  text-decoration-line: none;
  color: var(--color-slate);
  display: block;
  transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

a:hover,
a:focus {
  color: var(--color-ocean);
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
  margin: 0;
}

ul {
  list-style-type: none;
  margin: 0;
  padding-left: 0;
}

img {
  display: block;
}

form,
fieldset,
label,
input,
textarea {
  margin: 0;
  padding: 0;
}
.container {
  max-width: 320px;
  padding: 0 16px;
  margin-left: auto;
  margin-right: auto;
}

.title-secondary {
  font-size: 36px;
  font-weight: 700;
  line-height: 1.11;
  letter-spacing: 0.02em;
  text-align: center;
  text-transform: capitalize;
  color: var(--color-navy-blue);
  margin-bottom: 72px;
}

.text-primary {
  font-size: 16px;
  font-weight: 400;
  line-height: 1.5;
  letter-spacing: 0.02em;
  color: var(--color-slate);
}

.text-medium {
  font-size: 16px;
  font-weight: 500;
  line-height: 1.5;
  letter-spacing: 0.02em;
  color: var(--color-navy-blue);
}

.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;
  white-space: nowrap;
  clip-path: inset(100%);
  clip: rect(0 0 0 0);
  overflow: hidden;
}

.backdrop.is-open {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}

button {
  cursor: pointer;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

button:hover,
button:focus {
  background-color: var(--color-ocean);
}

/* Section Header */

.page-header {
  border-bottom: 1px solid var(--color-cornflower);
  box-shadow: var(--shadow-card);
}

.row-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.logo {
  font-family: 'Raleway', sans-serif;
  font-size: 18px;
  font-style: normal;
  font-weight: 700;
  line-height: 1.17;
  letter-spacing: 0.03em;
  text-transform: uppercase;
  color: var(--color-iris);
}

.logo-dark {
  color: var(--color-navy-blue);
}

/* Section 1 Hero */

.hero {
  max-width: 320px;
  background-color: var(--color-navy-blue);
  background-repeat: no-repeat;
  background-position: center top;
  background-size: cover;
  background-image: linear-gradient(var(--color-modal-overlay-dark), var(--color-modal-overlay-dark)), url('../images/bg-mobile.jpg');
  padding: 72px 0;
  margin-right: auto;
  margin-left: auto;
}

.hero-offer {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 72px;
}

.hero-title {
  max-width: 170px;
  font-size: 36px;
  font-weight: 700;
  line-height: 1.11;
  letter-spacing: 0.02em;
  text-align: center;
  text-transform: capitalize;
  color: var(--color-white);
}

.btn-hero {
  display: block;
  min-width: 169px;
  height: 56px;
  padding: 16px 32px;
  align-items: flex-start;
  gap: 10px;
  border: none;
  border-radius: 4px;
  background-color: var(--color-iris);
  box-shadow: var(--shadow-button);
  font-size: 16px;
  font-weight: 500;
  line-height: 1.5;
  letter-spacing: 0.04em;
  color: var(--color-white);
}

/* Section 2 Our Preferences */

.preferences-item-icon {
  display: none;
}

.preferences {
  padding: 96px 0;
}
.preferences-list {
  display: flex;
  flex-wrap: wrap;
  column-gap: 24px;
  row-gap: 72px;
}

.title-thirdly-preferences {
  font-size: 36px;
  font-weight: 700;
  line-height: 1.11;
  letter-spacing: 0.02em;
  text-align: center;
  color: var(--color-navy-blue);
  margin-bottom: 8px;
}

/* Section 3 Our Team */

.our-team {
  padding: 96px 0;
  background-color: var(--color-cloud);
}

.our-team-cart {
  display: flex;
  flex-wrap: wrap;
  row-gap: 72px;
  column-gap: 24px;
  justify-content: center;
}

.cart-team {
  display: inline-flex;
  padding-bottom: 0px;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-radius: 0px 0px 4px 4px;
  background: var(--color-white);
  box-shadow: var(--shadow-card);
  text-align: center;
}

.info-team {
  padding-top: 32px;
  padding-bottom: 32px;
}

.title-thirdly {
  color: var(--color-navy-blue);
  font-size: 20px;
  font-weight: 500;
  line-height: 1.2;
  letter-spacing: 0.02em;
  margin-bottom: 8px;
}

.social-link-list {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 24px;
  margin-top: 8px;
}

.social-link-item {
  width: 40px;
  height: 40px;
}

.social-link-link {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  background-color: var(--color-iris);
  border-radius: 50%;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  line-height: 0;
}
.icon-social {
  width: 16px;
  height: 16px;
  fill: var(--color-cloud);
}

.social-link-link:hover,
.social-link-link:focus {
  background-color: var(--color-ocean);
}

/* Section  4 Our Portfolio */

.portfolio {
  padding: 96px 0;
}

.portfolio-cart {
  display: flex;
  flex-wrap: wrap;
  column-gap: 24px;
  row-gap: 48px;
}

.portfolio-cart-item {
  display: flex;
  flex-basis: 100%;
  height: 400px;
  padding-bottom: 0px;
  flex-direction: column;
  align-items: flex-start;
  flex-shrink: 0;
  background-color: var(--color-white);
  box-shadow: var(--shadow-card);
}

.portfolio-cart-img {
  position: relative;
  overflow: hidden;
}

.overlay {
  width: 100%;
  height: 100%;
  background-color: var(--color-iris);
  font-size: 16px;
  font-weight: 400;
  line-height: 1.5;
  letter-spacing: 0.02em;
  color: var(--color-cloud);
  padding: 40px 32px 40px 32px;
  position: absolute;
  top: 0;
  left: 0;
  transform: translateY(100%);
  transition: transform 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.portfolio-cart-item:hover .overlay,
.portfolio-cart-item:focus .overlay {
  transform: translateY(0%);
}

.portfolio-cart-info {
  width: 100%;
  padding: 32px 16px;
  border: 1px solid var(--color-cornflower);
  border-top: none;
  align-self: stretch;
}

.carts-img {
  width: 100%;
  height: 280px;
}

/* Footer */

.bg-dark-footer {
  background-color: var(--color-navy-blue);
  padding: 96px 0;
}

.footer-row {
  display: flex;
  flex-wrap: wrap;
  row-gap: 72px;
  column-gap: 24px;
  justify-content: center;
}

.logo-footer {
  font-family: 'Raleway', sans-serif;
  font-size: 18px;
  font-weight: 700;
  line-height: 1.17;
  letter-spacing: 0.03em;
  text-transform: uppercase;
  text-align: center;
  color: var(--color-iris);
  margin-bottom: 16px;
}

.logo-light {
  color: var(--color-cloud);
}

.text-footer {
  width: 100%;
  font-size: 16px;
  font-weight: 400;
  line-height: 1.5;
  letter-spacing: 0.02em;
  color: var(--color-cloud);
}
.footer-column-social {
  margin-right: auto;
  margin-left: auto;
}
.text-medium-light {
  width: 100%;
  font-size: 16px;
  font-weight: 500;
  line-height: 1.5;
  letter-spacing: 0.02em;
  text-align: center;
  color: var(--color-white);
  margin-bottom: 16px;
}

.social-link-list-footer {
  display: flex;
  gap: 16px;
}

.social-link-item-footer {
  width: 40px;
  height: 40px;
}

.social-link-link {
  width: 100%;
  height: 100%;
  background-color: var(--color-iris);
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  fill: var(--color-cloud);
}

.social-link-list-footer .social-link-link:hover,
.social-link-list-footer .social-link-link:focus {
  background-color: var(--color-green);
}

.icon-social-footer {
  fill: var(--color-cloud);
}

.footer-form {
  display: flex;
  flex-wrap: wrap;
  row-gap: 16px;
  column-gap: 24px;
}
.footer-form-field {
  width: 288px;
  height: 40px;
  font-size: 12px;
  font-weight: 400;
  line-height: 1.5;
  letter-spacing: 0.04em;
  border-radius: 4px;
  border: 1px solid var(--color-white);
  filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.15));
  background-color: transparent;
  color: var(--color-white);
  padding-left: 16px;
  box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.15);
}

.footer-form-field::placeholder {
  color: var(--color-white);
}

.footer-form-btn {
  display: flex;
  justify-content: center;
  align-items: center;
  min-width: 165px;
  height: 40px;
  font-size: 16px;
  font-weight: 500;
  line-height: 1.5;
  letter-spacing: 0.04em;
  padding: 8px 24px;
  border: none;
  border-radius: 4px;
  background-color: var(--color-iris);
  color: var(--color-white);
  margin-right: auto;
  margin-left: auto;
}

.footer-form-btn-icon {
  fill: var(--color-cloud);
  margin-left: 16px;
}

/* <==================== Modal Windows ====================> */

.backdrop {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1000;
  width: 100%;
  height: 100%;
  background-color: var(--color-modal-overlay);

  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  transition: opacity 250ms cubic-bezier(0.4, 0, 0.2, 1), visibility 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.modal {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 288px;
  min-height: 623px;
  border-radius: 4px;
  background-color: var(--color-dairy);
  box-shadow: var(--shadow-modal);
  padding: 72px 16px 24px 16px;
  transition: transform 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.modal-close-btn {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: 24px;
  right: 24px;
  width: 24px;
  height: 24px;
  line-height: 0;
  border-radius: 50%;
  border: 1px solid rgba(0, 0, 0, 0.1);
  fill: var(--color-navy-blue);
  background-color: var(--color-cornflower);
  padding: 0;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1), border 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.modal-close-btn-icon {
  transition: fill 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.modal-close-btn:hover,
.modal-close-btn:focus {
  border: none;
}

.modal-close-btn:hover .modal-close-btn-icon,
.modal-close-btn:focus .modal-close-btn-icon {
  fill: var(--color-white);
}

.hero-form-description {
  width: 100%;
  text-align: center;
  margin-bottom: 16px;
}
/* Hero form */

.hero-form-field-wrap {
  margin-bottom: 8px;
}

.hero-form-comment-wrap {
  margin-bottom: 16px;
}

.hero-form-checkbox-wrap {
  display: flex;
  flex-direction: row;

  margin-bottom: 24px;
}

.hero-form-field-label {
  display: block;
  font-size: 12px;
  font-weight: 400;
  line-height: 1.17;
  letter-spacing: 0.04em;
  color: var(--color-light-slate);
  margin-bottom: 4px;
}

.hero-form-input-wrap {
  position: relative;
}

.hero-form-field {
  width: 100%;
  height: 40px;
  font-size: 12px;
  font-weight: 400;
  line-height: 1.17;
  letter-spacing: 0.04em;
  border-radius: 4px;
  border: 1px solid var(--color-modal-overlay);
  background-color: transparent;
  color: var(--color-modal-overlay);
  padding-left: 38px;
  outline: transparent;
  transition: border-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.hero-form-field:focus {
  border-color: var(--color-iris);
  outline-color: transparent;
  outline-offset: 4px;
}

.hero-form-field-icon {
  position: absolute;
  top: 50%;
  left: 16px;
  transform: translateY(-50%);
  fill: var(--color-navy-blue);
  transition: fill 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.hero-form-field:focus + .hero-form-field-icon {
  fill: var(--color-iris);
}

.hero-form-message {
  width: 100%;
  height: 120px;
  font-size: 12px;
  font-weight: 400;
  line-height: 1.17;
  letter-spacing: 0.04em;
  resize: none;
  border-radius: 4px;
  border: 1px solid var(--color-modal-overlay);
  background-color: transparent;
  color: var(--color-modal-overlay);
  padding: 8px 16px;
  outline: transparent;
  transition: border-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.hero-form-message:focus {
  border-color: var(--color-iris);
  outline-color: transparent;
  outline-offset: 4px;
}

.hero-form-message::placeholder {
  color: var(--color-modal-overlay);
}

.hero-form-checkbox-label {
  display: flex;
  align-items: center;
  font-size: 12px;
  font-weight: 400;
  line-height: 1.17;
  letter-spacing: 0.04em;
  color: var(--color-light-slate);
}

.hero-form-privacy-link {
  display: inline;
  text-decoration-line: underline;
  color: var(--color-iris);
}

.hero-form-own-checkbox {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  min-width: 16px;
  max-width: 16px;
  height: 16px;
  border-radius: 2px;
  border: 1px solid var(--color-modal-overlay);
  cursor: pointer;
  fill: transparent;
  margin-right: 8px;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1), border 250ms cubic-bezier(0.4, 0, 0.2, 1),
    fill 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.hero-form-checkbox:checked + .hero-form-checkbox-label .hero-form-own-checkbox {
  background-color: var(--color-ocean);
  fill: var(--color-cloud);
  border: none;
}

.review-form-checkbox:focus + .review-form-checkbox-label .review-form-own-checkbox {
  outline: 2px solid rgba(0, 0, 255, 0.5);
}

.hero-form-btn {
  display: block;
  min-width: 169px;
  height: 56px;
  font-size: 16px;
  font-weight: 500;
  line-height: 1.5;
  letter-spacing: 0.04em;
  border: none;
  border-radius: 4px;
  background-color: var(--color-iris);
  box-shadow: var(--shadow-button);
  color: var(--color-white);
  padding: 16px 32px;
  margin: 0 auto;
}

/* <==================== media for mobile ====================> */

@media screen and (max-width: 767px) {
  .nav-header-list,
  .address-header {
    display: none;
  }

  /* Burger-menu */
  .burger-menu-btn {
    display: flex;
    justify-content: center;
    align-items: center;
    line-height: 0;
    border: none;
    fill: var(--color-burger-icon);
    background-color: transparent;
    padding: 16px 0;
  }

  .burger-menu-btn:focus {
    background-color: transparent;
  }

  /* Burger menu is-open */

  .burger-menu {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999;
    width: 100%;
    height: 100%;
    background-color: var(--color-white);

    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    transition: opacity 250ms cubic-bezier(0.4, 0, 0.2, 1), visibility 250ms cubic-bezier(0.4, 0, 0.2, 1);
  }

  .burger-menu.is-open {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
  }

  .burger-menu-wrap {
    position: relative;
    max-width: 320px;
    padding: 72px 16px 40px 16px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    height: 100vh;
    overflow-y: auto;
  }

  .menu-close-btn {
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 24px;
    right: 24px;
    width: 24px;
    height: 24px;
    line-height: 0;
    border-radius: 50%;
    border: 1px solid rgba(0, 0, 0, 0.1);
    fill: var(--color-navy-blue);
    background-color: var(--color-cornflower);
    padding: 0;
    transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1), border 250ms cubic-bezier(0.4, 0, 0.2, 1);
  }

  .menu-close-btn-icon {
    transition: fill 250ms cubic-bezier(0.4, 0, 0.2, 1);
  }

  .menu-close-btn:focus {
    border: none;
  }

  .menu-close-btn:focus .menu-close-btn-icon {
    fill: var(--color-white);
  }

  .burger-menu-nav {
    margin-bottom: auto;
  }

  .nav-burger-menu-list {
    display: flex;
    flex-direction: column;
    row-gap: 40px;
    margin-bottom:48px;
  }

  .nav-burger-menu-link {
    font-size: 36px;
    font-weight: 700;
    line-height: 1.11;
    letter-spacing: 0.02em;
    text-transform: capitalize;
    color: var(--color-navy-blue);
    transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  }
  .nav-burger-menu-link:focus {
    color: var(--color-ocean);
  }

  .address-burger-menu-list {
    display: flex;
    flex-direction: column;
    gap: 24px;
    margin-bottom: 48px;
  }

  .address-burger-menu-link {
    font-style: normal;
    font-size: 20px;
    font-weight: 500;
    line-height: 1.2;
    letter-spacing: 0.02em;
    color: var(--color-slate);
    transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  }

  .address-burger-menu-link:focus {
    color: var(--color-iris);
  }

  .social-link-list-burger-menu {
    display: flex;
    flex-direction: row;
    column-gap: 40px;
  }

  .social-link-burger-menu {
    width: 40px;
    height: 40px;
    background-color: var(--color-iris);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
    fill: var(--color-cloud);
  }

  .social-link-burger-menu:focus {
    background-color: var(--color-ocean);
  }

  .icon-social-footer {
    fill: var(--color-cloud);
  }
}

@media screen and (min-resolution: 192dpi) and (max-width: 767px),
  screen and (min-resolution: 2dppx) and (max-width: 767px),
  screen and (min-device-pixel-ratio: 2) and (max-width: 767px) {
  .hero {
    background-image: linear-gradient(var(--color-modal-overlay-dark), var(--color-modal-overlay-dark)), url('../images/bg-mobile@2x.jpg');
  }
}

/* <==================== media for tablet ====================> */

@media screen and (min-width: 768px) {
  .burger-menu-btn,
  .burger-menu {
    display: none;
  }

  .container {
    max-width: 768px;
  }

  .page-nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 120px;
  }

  .nav-header-list {
    display: flex;
    gap: 40px;
  }

  .nav-header-link {
    padding: 24px 0;
  }

  .nav-header-link:nth-child(1) {
    position: relative;
  }

  .activ::after {
    content: '';
    display: block;
    width: 100%;
    height: 4px;
    border-radius: 2px;
    background-color: var(--color-ocean);
    position: absolute;
    left: 0;
    bottom: -1px;
  }

  .activ {
    color: var(--color-ocean);
  }

  .address-header-list {
    display: flex;
    flex-direction: column;
    gap: 12px;
  }

  .address-header-item {
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 1.17;
    letter-spacing: 0.04em;
    color: var(--color-slate);
  }

  /* Section 1 Hero */

  .hero {
    max-width: 768px;
    background-image: linear-gradient(var(--color-modal-overlay-dark), var(--color-modal-overlay-dark)), url('../images/bg-tablet.jpg');
    padding: 112px 0;
  }

  .hero-offer {
    gap: 36px;
  }

  .hero-title {
    max-width: 496px;
    font-size: 56px;
    line-height: 1.07;
  }

  /* Section 2 Our Preferences */

  .preferences-item {
    flex-basis: calc((100% - 24px) / 2);
  }

  .title-thirdly-preferences {
    text-align: left;
  }

  /* Section 3 Our Team */

  /* Section  4 Our Portfolio */

  .portfolio-cart {
    row-gap: 72px;
  }

  .portfolio-cart-item {
    flex-basis: calc((100% - 24px) / 2);
      height: 420px;
    }

  .carts-img {
    width: 100%;
    height: 300px;
  }

  /* Footer */

  .footer-row {
    justify-content: flex-start;
    align-items: baseline;
  }

  .logo-footer,
  .text-medium-light {
    text-align: left;
  }

  .text-footer,
  .footer-form-field {
    width: 264px;
  }

  .footer-column-social {
    margin: 0;
  }

  .footer-form-btn {
    margin: 0;
  }
  /* Modal Windows */

  .modal {
    width: 408px;
    min-height: 584px;
    padding: 72px 24px 24px 24px;
  }
}

@media screen and (min-resolution: 192dpi) and (min-width: 768px),
  screen and (min-resolution: 2dppx) and (min-width: 768px),
  screen and (min-device-pixel-ratio: 2) and (min-width: 768px) {
  .hero {
    background-image: linear-gradient(var(--color-modal-overlay-dark), var(--color-modal-overlay-dark)), url('../images/bg-tablet@2x.jpg');
  }
}

/* <==================== media for desktop ====================> */

@media screen and (min-width: 1158px) {
  .container {
    max-width: 1158px;
    padding: 0 15px;
  }

  .page-nav {
    gap: 76px;
  }

  .address-header-list {
    display: flex;
    flex-direction: row;
    gap: 40px;
  }

  .address-header-item {
    font-size: 16px;
    line-height: 1.5;
    letter-spacing: 0.02em;
  }

  /* Section 1 Hero */

  .hero {
    max-width: 1400px;
    background-image: linear-gradient(var(--color-modal-overlay-dark), var(--color-modal-overlay-dark)), url('../images/bg-descktop.jpg');
    padding: 188px 0;
  }

  .hero-offer {
    gap: 48px;
  }

  /* Section 2 Our Preferences */

  .preferences {
    padding-top: 120px;
    padding-bottom: 120px;
  }

  .preferences-item {
    flex-basis: calc((100% - 72px) / 4);
  }

  .preferences-item-icon {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 112px;
    border-radius: 4px;
    border: 1px solid var(--color-light-slate);
    background-color: var(--color-cloud);
    margin-bottom: 8px;
  }

  .title-thirdly-preferences {
    font-size: 20px;
    font-weight: 500;
    line-height: 1.2;
  }

  /* Section 3 Our Team */

  .our-team {
    padding: 120px 0;
  }

  /* Section  4 Our Portfolio */

  .portfolio {
    padding: 120px 0;
  }

  .portfolio-cart {
    row-gap: 48px;
  }

  .portfolio-cart-item {
    flex-basis: calc((100% - 48px) / 3);
    box-shadow: none;
    transition: box-shadow 250ms cubic-bezier(0.4, 0, 0.2, 1);
  }
    
  .portfolio-cart-item:hover,
  .portfolio-cart-item:focus {
    box-shadow: var(--shadow-card);
  }

  .carts-img {
    width: 360px;
  }
  /* Footer */

  .bg-dark-footer {
    padding: 100px 0;
  }

  .footer-row {
    gap: 0;
  }

  .text-footer {
    margin-right: 120px;
  }

  .social-link-list-footer {
    margin-right: 80px;
  }
}

@media screen and (min-resolution: 192dpi) and (min-width: 1158px),
  screen and (min-resolution: 2dppx) and (min-width: 1158px),
  screen and (min-device-pixel-ratio: 2) and (min-width: 1158px) {
  .hero {
    background-image: linear-gradient(var(--color-modal-overlay-dark), var(--color-modal-overlay-dark)), url('../images/bg-descktop@2x.jpg');
  }
}
